/* Reset  */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  font-family: "Inter", sans-serif;
}

.testimonials-page {
  position: relative;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  color: white;
  font-family: "Inter", sans-serif;
}

.background-gradient {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  height: 780px;
  background: linear-gradient(
    80.41deg,
    #070812 54.19%,
    #131930 66.15%,
    #2533b6 80.99%,
    #2837c3 97.03%
  );
  z-index: 0;
}

.top-navigation,
.general-testimonials {
  position: relative;
  z-index: 1;
}

.top-navigation {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  top: 40px;
  width: 100%;
  height: 24px;
  padding: 0 80px;
  box-sizing: border-box;
}

#menu-mobile {
  display: none;
}

#menu-mobile-content {
  display: none;
}

.logo-container img {
  height: 24px;
}
.navigation-container a {
  color: #f4f7f9;
  text-decoration: none;
  font-weight: 400;
}

.navigation-container ul {
  display: flex;
  gap: 40px;
  list-style: none;
  justify-content: flex-end;
}

.navigation-container li {
  cursor: pointer;
  font-weight: 400;
}

.highlighted-testimonial {
  position: relative;
  width: 1376px;
  height: 780px;
  margin: -24px auto 0 auto;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.testimonial-content-container {
  display: grid;

  gap: 16px;
}
.testimonial-content {
  position: absolute;
  top: 188px;
  left: 24px;
  width: 656px;
  height: 432px;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  gap: 32px;
}

.testimonial-content.active {
  display: flex;
}

.quote {
  font-family: "Poppins", sans-serif;
  font-style: italic;
  font-weight: 400;
  font-size: 36px;
  line-height: 40px;
  color: #f4f7f9;
}

.author-name {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-size: 32px;
  line-height: 40px;
  color: #f4f7f9;
}

.author-role {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #f4f7f9;
  margin-top: 4px;
}

.watch-button {
  display: flex;
  align-items: center;
  gap: 12px;
  padding: 0 32px;
  height: 64px;
  background: #3347ff;
  border-radius: 16px;
  border: none;
  font-family: "Poppins", sans-serif;
  font-size: 26px;
  line-height: 32px;
  color: #f4f7f9;
  cursor: pointer;
}

.watch-button:hover {
  background: #052159;
}

.watch-button-mobile {
  display: none;
}

.desktop-text {
  display: inline;
}

.mobile-text {
  display: none;
}

.testimonial-image {
  position: absolute;
  top: 144.45px;
  left: 517.39px;
}

.testimonial-image img {
  width: 834.61px;
  height: 635.55px;
}

.mini-cards-container {
  display: flex;
  justify-content: center;
  gap: 32px;
  margin-top: -80px;
  margin-bottom: 40px;
  z-index: 2;
}

.mini-card {
  position: relative;
  width: 432px;
  height: 136px;
  background: #ffffff;
  box-shadow: 1px 1px 16px rgba(0, 0, 0, 0.3);
  border-radius: 133px;
  display: flex;
  align-items: center;
  padding-left: 8px;
  cursor: pointer;
  transition: all 0.3s;
  border: none;
}

.mini-card:hover {
  background: #052159;
}

.mini-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-left: 24px;
}

.mini-name {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-size: 23px;
  line-height: 32px;
  color: #57585f;
}

.mini-role {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #57585f;
}

.mini-card:hover .mini-name,
.mini-card:hover .mini-role {
  color: #f4f7f9;
}

.mini-card.active .mini-name {
  color: #3347ff;
}

.testimonials-title {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-size: 32px;
  line-height: 40px;
  text-align: center;
  color: #03050f;
  margin: 80px auto 40px auto;
}

.general-testimonials {
  column-count: 3;
  column-gap: 32px;
  width: 1376px;
  margin: 0 auto;
  margin-bottom: 24px;
}

.testimonial-card {
  width: 432px;
  break-inside: avoid;
  margin-bottom: 32px;
}

.testimonial-card.text-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 32px 40px;
  gap: 40px;
  width: 432px;
  background: #03050f;
  box-shadow: 1px 1px 16px rgba(0, 0, 0, 0.3);
  border-radius: 16px;
  flex-shrink: 0;
}

.text-card .quote {
  font-family: "Poppins", sans-serif;
  font-style: italic;
  font-weight: 400;
  font-size: 18px;
  line-height: 24px;
  text-align: center;
  color: #ededed;
  width: 352px;
}

.testimonial-card.video-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 32px 40px;
  gap: 16px;
  width: 432px;
  height: 448px;
  background: #e7e7e7;
  box-shadow: 1px 1px 16px rgba(0, 0, 0, 0.3);
  border-radius: 16px;
  flex-shrink: 0;
}

.video-card lite-youtube {
  width: 100%;
  aspect-ratio: 16 / 9;
  border-radius: 16px;
  overflow: hidden;
}

.video-card .quote {
  font-family: "Poppins", sans-serif;
  font-style: italic;
  font-weight: 400;
  font-size: 18px;
  line-height: 24px;
  text-align: center;
  color: #03050f;
  width: 100%;
}

.client-info {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 16px;
  width: 352px;
  height: 56px;
}

.client-name {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-size: 16px;
  line-height: 24px;
  color: #ededed;
}

.image-card img {
  width: 100%;
  display: block;
  border-radius: 16px;
}

.testimonial-card.caso-card {
  position: relative;
  width: 432px;
  background: #f4f7f9;
  border-radius: 16px;
  padding: 28px 24px 28px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 16px;
  box-shadow: 1px 1px 16px rgba(0, 0, 0, 0.3);
}

.caso-card .caso-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 432px;
  height: 286px;
  border-top-left-radius: 16px;
  border-top-right-radius: 16px;
  object-fit: cover;
}

.caso-card .star-icon {
  position: absolute;
  top: 0;
  right: 16px;
  width: 48px;
  height: 48px;
}

.caso-card .caso-tag {
  background: linear-gradient(215.13deg, #3347ff 11.51%, #040a24 100.92%);
  color: white;
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 12px 24px;
  margin-left: -24px;
  width: fit-content;
}

.caso-card .caso-titulo {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-size: 23px;
  line-height: 32px;
  color: #3347ff;
}

.caso-card .caso-texto {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #03050f;
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.caso-card .caso-link {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 48px;
  width: 255px;
  background: #3347ff;
  border-radius: 12px;
  gap: 8px;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 18px;
  line-height: 16px;
  color: #f4f7f9;
  text-decoration: none;
  transition: background 0.3s;
  margin-left: auto;
}

.caso-card .caso-link:hover {
  background: #2a3de6;
}

button {
  background: transparent;
  border: none;
  appearance: none;
  -webkit-appearance: none;
  box-shadow: none;
}

.carousel-indicators {
  display: none;
}

.video-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.7);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000;
}

.video-modal-content {
  position: relative;
  width: 80%;
  max-width: 800px;
  border-radius: 8px;
  overflow: hidden;
}

.video-modal-content iframe {
  width: 100%;
  height: 450px;
  border: none;
}

.close-button {
  position: absolute;
  top: 15px;
  right: 20px;
  font-size: 40px;
  color: #333;
  cursor: pointer;
}

.hidden {
  display: none;
}

/* footer */
#rodape-custom {
  font-family: "Poppins", sans-serif;
  background: #03050f;
  width: 100%;
  padding-bottom: 50px;
}

#rodape-custom .grid-container {
  font-family: "Poppins", sans-serif;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 50px;
  font-size: 10pt;
  padding: 0px;
  margin: 15px;
}

#rodape-custom .grid-container div li {
  list-style-type: none;
  margin: 10px;
}

#rodape-custom .grid-container div p {
  margin: 10px;
}

#rodape-custom .logo-drm {
  margin-top: 40px;
  margin-bottom: 80px;
  text-align: center;
  z-index: 1;
}

#rodape-custom .rodape {
  bottom: 5px;
  font-size: 8pt;
  text-align: center;
}

#rodape-custom h3 {
  color: #ffffff;
  margin-bottom: 10px;
}

#rodape-custom a,
#rodape-custom p {
  color: #b3c1c7;
  margin: 0;
}

#rodape-custom .rodape li {
  margin-bottom: 5px;
}

@media only screen and (max-width: 1000px) {
}

@media (max-width: 1336px) {
  .highlighted-testimonial,
  .general-testimonials {
    width: 1000px;
    column-count: 2;
  }
}

@media (max-width: 1280px) {
  .highlighted-testimonial,
  .general-testimonials {
    width: 1000px;
    column-count: 2;
  }
}

@media (max-width: 1000px) {
  html,
  body {
    margin: 0 auto;
    overflow-x: hidden;
  }

  .testimonials-page {
    width: 100%;
    margin: 0 auto;
    padding: 0 16px;
    overflow-x: hidden;
  }

  .top-navigation {
    width: 100%;
    top: 20px;
    padding: 0 16px;
    justify-content: space-between;
    position: relative;
    background: transparent;
  }

  .navigation-container {
    display: none;
    position: absolute;
    top: 20px;
    right: 16px;
    background: transparent;
    box-shadow: none;
  }

  .navigation-container a {
    color: #f4f7f9;
    text-decoration: none;
  }

  .navigation-container.show {
    display: flex;
  }

  .navigation-container ul {
    list-style: none;
    margin: 0;
    padding: 8px 12px;
    background: transparent;
    border-radius: 8px;
  }

  .navigation-container ul li {
    display: none;
  }

  .navigation-container ul li:first-child {
    display: block;
    font-size: 16px;
    color: #fff;
  }

  #menu-mobile {
    display: flex;
    flex-direction: column;
    position: absolute;
    right: 0;
  }

  #menu-mobile #menu-mobile-content {
    display: flex;
    position: absolute;
    top: 0;
    right: 0;
    margin-top: 35px;
    background-color: white;
    opacity: 0;
    border-radius: 10px;
    padding: 10px;
  }

  #menu-mobile #menu-mobile-content ul li {
    cursor: pointer;
    padding: 10px;
  }

  #menu-mobile #menu-mobile-content ul li a {
    text-decoration: none;
    color: #3347ff;
  }

  #menu-mobile #menu-mobile-content ul li:hover {
    text-decoration: underline;
  }

  .active-menu {
    opacity: 1 !important;
  }

  .mini-cards-container {
    display: none;
  }

  .highlighted-testimonial {
    flex-direction: column;
    justify-content: center;
    width: 100%;
    height: auto;
    margin: 32px 0 0 0;
    align-items: center;
  }

  .testimonial-content {
    position: static;
    width: 312px;
    margin: 50px auto 0 auto;
    height: auto;
    gap: 16px;
  }

  .testimonial-image {
    position: relative;
    top: 0px;
    width: 312px;
    height: 222px;
    margin: 8px auto -32px auto;
    left: unset;
    transform: unset;
    z-index: 0;
    pointer-events: none;
  }

  .testimonial-image img {
    width: 312px;
    height: 222px;
    display: block;
  }

  .watch-button {
    display: none;
  }

  .watch-button-mobile {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    padding-left: 28px;
    padding-right: 28px;
    width: 279px;
    height: 52px;
    font-size: 21px;
    line-height: 24px;
    border-radius: 12px;
    background: #3347ff;
    color: #f4f7f9;
    border: none;
    margin-top: 4px;
    z-index: 1;
  }

  .desktop-text {
    display: none;
  }

  .mobile-text {
    display: inline;
  }

  .testimonial-content .quote {
    font-size: 19px;
    line-height: 20px;
  }

  .author-name {
    font-size: 22px;
    line-height: 32px;
  }

  .author-role {
    font-size: 13px;
    line-height: 16px;
  }

  .background-gradient {
    height: 549px;
  }

  .testimonials-title {
    width: 312px;
    font-size: 22px;
    line-height: 32px;
    margin-top: 16px;
  }

  .general-testimonials {
    column-count: 1;
    width: 312px;
  }
  .testimonial-card {
    width: 100%;
  }

  .testimonial-card.text-card {
    width: 100%;
  }

  .testimonial-card.text-card .quote {
    width: 232px;
    font-size: 18px;
    line-height: 24px;
    text-align: center;
  }

  .testimonial-card.text-card .client-info {
    display: flex;
    width: 232px;
    align-items: center;
    gap: 16px;
    font-size: 16px;
    line-height: 24px;
  }

  .testimonial-card.caso-card {
    width: 312px;
  }
  .testimonial-card.caso-card .caso-titulo {
    font-size: 18px;
    line-height: 24px;
  }

  .testimonial-card.caso-card .caso-texto {
    font-size: 16px;
    line-height: 22px;
  }

  .testimonial-card.video-card {
    width: 312px;
  }

  .carousel-indicators {
    width: 96px;
    height: 8px;
    display: flex;
    justify-content: space-between;
  }

  .indicator {
    width: 16px;
    height: 8px;
    background: url("assets/icons/indicator-inactive.svg") no-repeat
      center/contain;
    cursor: pointer;
  }

  .indicator.active {
    width: 48px;
    height: 8px;
    background: url("assets/icons/indicator-active.svg") no-repeat
      center/contain;
  }

  #rodape-custom {
    margin-left: -16px;
    margin-right: -16px;
    width: calc(100% + 32px);
  }
  #rodape-custom .grid-container {
    grid-template-columns: repeat(1, 1fr);
  }
}
